Subject: Re: bug#12380: other window related commands broken

From: Ken Brown <[email-masked]>
Date: Sun, 09 Sep 2012 09:45:04 -0400

On 9/9/2012 6:05 AM, martin rudalics wrote:
>  > First, here is what the debugger says when I try to "Send Bug
> Report:..."
>  > Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>  >   file-name-directory(nil)
>  >   byte-code("\300\301\302\303\304!!\"\305BC\207" [format "hides
>  > \\(%s.*\\)" file-name-directory locate-library "simple.el" (1
>  > font-lock-warning-face)] 5)
>
> I don't understand why it doesn't find this.  Does evaluating
>
> (locate-library "simple.el")
>
> always fail on your system?  If so, what is your value of the variable
> `load-path'?

Cygwin users who install the emacs package don't get the elisp sources; 
they have to install the emacs-el package for that.  So if Doug hasn't 
installed emacs-el, then (locate-library "simple.el") will fail, whereas 
(locate-library "simple") will correctly give 
"/usr/share/emacs/24.2/lisp/simple.elc".

Ken